html,
body {
  height: 100%;
}
body {
  display: flex;
  flex-direction: column;
}
body > header {
  position: absolute;
  width: 100%;
  height: 3.5rem;
}
body > main {
  flex: 1 0 auto;
  padding-top: 3.5rem;
}
body > footer {
  flex-shrink: 0;
}
.container-fluid {
  max-width: 80rem;
}
